import { store } from "@/store";
import { defineStore } from "pinia";

export const useCommonStore = defineStore("commonStore", {
  state: () => ({
    // 弹出公共Table的弹窗
    isShowTable: false,
    tableType: 1,
    tableTitle: "",
    //   大屏显示的组件key值，包含默认值
    mainS077: "EquipmentMonitoring",
    mainS078: "ProductionSituation",
    moduleKey: "mainS078", // 用于判断修改了哪个模块
    isShowSelectModule: false, // 是否显示选择模块中的组件弹窗
  }),
});

export function useCommonStoreHook() {
  return useCommonStore(store);
}
